using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VisimBuilder
{
    public partial class SceneBrowserDialog : Form
    {
        public SceneBrowserDialog()
        {
            InitializeComponent();

            sceneBrowser1.NodeSelected += new SceneBrowser.SelectNodeCallback(sceneBrowser1_NodeSelected);
        }

        void sceneBrowser1_NodeSelected(VisimBox.Scene.Node node)
        {
            DialogResult = System.Windows.Forms.DialogResult.OK;
        }

        public void Init(MainBuilderForm mainform)
        {
            sceneBrowser1.Init(mainform);
        }

        public void UpdateScene()
        {
            sceneBrowser1.UpdateScene();
        }

    }
}
